## dzl-fuzzy-index-match dzl-fuzzy-index-match |

## Functions

const gchar * | dzl_fuzzy_index_match_get_key ()
GVariant * | dzl_fuzzy_index_match_get_document ()
gfloat | dzl_fuzzy_index_match_get_score ()
guint | dzl_fuzzy_index_match_get_priority ()

## Properties

GVariant * | document | Read / Write / Construct Only
gchar * | key | Read / Write / Construct Only
guint | priority | Read / Write / Construct Only
gfloat | score | Read / Write / Construct Only

## Types and Values

#define | DZL_TYPE_FUZZY_INDEX_MATCH
| DzlFuzzyIndexMatch

## Object Hierarchy

        GObject
        ╰── DzlFuzzyIndexMatch

## Description

## Functions

### dzl_fuzzy_index_match_get_key ()

    const gchar *
    dzl_fuzzy_index_match_get_key (DzlFuzzyIndexMatch *self);

### dzl_fuzzy_index_match_get_document ()

    GVariant *
    dzl_fuzzy_index_match_get_document (DzlFuzzyIndexMatch *self);

#### Returns

A GVariant.

[transfer none]

### dzl_fuzzy_index_match_get_score ()

    gfloat
    dzl_fuzzy_index_match_get_score (DzlFuzzyIndexMatch *self);

### dzl_fuzzy_index_match_get_priority ()

    guint
    dzl_fuzzy_index_match_get_priority (DzlFuzzyIndexMatch *self);

## Types and Values

### DZL_TYPE_FUZZY_INDEX_MATCH

    #define DZL_TYPE_FUZZY_INDEX_MATCH (dzl_fuzzy_index_match_get_type())

### DzlFuzzyIndexMatch

    typedef struct _DzlFuzzyIndexMatch DzlFuzzyIndexMatch;

## Property Details

### The `“document”` property

      “document”                 GVariant *

Document.

Flags: Read / Write / Construct Only

Allowed values: GVariant<*>

Default value: NULL

### The `“key”` property

      “key”                      gchar *

The string key that was inserted for the document.

Flags: Read / Write / Construct Only

Default value: NULL

### The `“priority”` property

      “priority”                 guint

The priority used when creating the index.

Flags: Read / Write / Construct Only

Allowed values: <= 255

Default value: 0

### The `“score”` property

      “score”                    gfloat

Score.

Flags: Read / Write / Construct Only

Allowed values: >= -1.17549e-38

Default value: 0